clangb.f(3)

NAME
clangb.f -

SYNOPSIS

  Functions/Subroutines
REAL function CLANGB (NORM, N, KL, KU, AB, LDAB, WORK)
CLANGB

Function/Subroutine Documentation

  REAL function CLANGB (CHARACTERNORM, INTEGERN, INTEGERKL, INTEGERKU, COMPLEX, dimension( ldab, * )AB, INTEGERLDAB, REAL, dimension( * )WORK)

CLANGB

Purpose:

     CLANGB  returns the value of the one norm,  or the Frobenius norm, or
     the  infinity norm,  or the element of  largest absolute value  of an
     n by n band matrix  A,  with kl sub-diagonals and ku super-diagonals.

Returns:
    CLANGB

        CLANGB = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                 (
                 ( norm1(A),         NORM = '1', 'O' or 'o'
                 (
                 ( normI(A),         NORM = 'I' or 'i'
                 (
                 ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     where  norm1  denotes the  one norm of a matrix (maximum column sum),
     normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     normF  denotes the  Frobenius norm of a matrix (square root of sum of
     squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.

Parameters:
    NORM

              NORM is CHARACTER*1
              Specifies the value to be returned in CLANGB as described
              above.

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.  When N = 0, CLANGB is
              set to zero.

    KL

              KL is INTEGER
              The number of sub-diagonals of the matrix A.  KL >= 0.

    KU

              KU is INTEGER
              The number of super-diagonals of the matrix A.  KU >= 0.

    AB

              AB is COMPLEX array, dimension (LDAB,N)
              The band matrix A, stored in rows 1 to KL+KU+1.  The j-th
              column of A is stored in the j-th column of the array AB as
              follows:
              AB(ku+1+i-j,j) = A(i,j) for max(1,j-ku)<=i<=min(n,j+kl).

    LDAB

              LDAB is INTEGER
              The leading dimension of the array AB.  LDAB >= KL+KU+1.

    WORK

              WORK is REAL array, dimension (MAX(1,LWORK)),
              where LWORK >= N when NORM = 'I'; otherwise, WORK is not
              referenced.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 125 of file clangb.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.